package com.aucma.production.service.impl;

import java.util.List;

import com.aucma.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.aucma.production.mapper.CalendarInfoMapper;
import com.aucma.production.domain.CalendarInfo;
import com.aucma.production.service.ICalendarInfoService;

import static com.aucma.common.utils.SecurityUtils.getUsername;

/**
 * 生产日历Service业务层处理
 * 
 * @author Yinq
 * @date 2023-11-23
 */
@Service
public class CalendarInfoServiceImpl implements ICalendarInfoService 
{
    @Autowired
    private CalendarInfoMapper calendarInfoMapper;

    /**
     * 查询生产日历
     * 
     * @param objId 生产日历主键
     * @return 生产日历
     */
    @Override
    public CalendarInfo selectCalendarInfoByObjId(Long objId)
    {
        return calendarInfoMapper.selectCalendarInfoByObjId(objId);
    }

    /**
     * 查询生产日历列表
     * 
     * @param calendarInfo 生产日历
     * @return 生产日历
     */
    @Override
    public List<CalendarInfo> selectCalendarInfoList(CalendarInfo calendarInfo)
    {
        return calendarInfoMapper.selectCalendarInfoList(calendarInfo);
    }

    /**
     * 新增生产日历
     * 
     * @param calendarInfo 生产日历
     * @return 结果
     */
    @Override
    public int insertCalendarInfo(CalendarInfo calendarInfo)
    {
        return calendarInfoMapper.insertCalendarInfo(calendarInfo);
    }

    /**
     * 修改生产日历
     * 
     * @param calendarInfo 生产日历
     * @return 结果
     */
    @Override
    public int updateCalendarInfo(CalendarInfo calendarInfo)
    {
        return calendarInfoMapper.updateCalendarInfo(calendarInfo);
    }

    /**
     * 批量删除生产日历
     * 
     * @param objIds 需要删除的生产日历主键
     * @return 结果
     */
    @Override
    public int deleteCalendarInfoByObjIds(Long[] objIds)
    {
        return calendarInfoMapper.deleteCalendarInfoByObjIds(objIds);
    }

    /**
     * 删除生产日历信息
     * 
     * @param objId 生产日历主键
     * @return 结果
     */
    @Override
    public int deleteCalendarInfoByObjId(Long objId)
    {
        return calendarInfoMapper.deleteCalendarInfoByObjId(objId);
    }



}
